
Redmine - Defect #36874

aborted: rake redmine:attachments:prune

2022-03-31 13:42 - Grischa Zengel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

# rake redmine:attachments:prune --trace

/usr/local/rvm/gems/ruby-3.1.1/gems/bundler-1.17.3/lib/bundler/shared_helpers.rb:29: warning: Path

name#untaint is deprecated and will be removed in Ruby 3.2.

/usr/local/rvm/gems/ruby-3.1.1/gems/bundler-1.17.3/lib/bundler/shared_helpers.rb:118: warning: Pat

hname#untaint is deprecated and will be removed in Ruby 3.2.

/usr/local/rvm/gems/ruby-3.1.1/gems/bundler-1.17.3/lib/bundler/shared_helpers.rb:118: warning: Pat

hname#untaint is deprecated and will be removed in Ruby 3.2.

/usr/local/rvm/gems/ruby-3.1.1/gems/bundler-1.17.3/lib/bundler/shared_helpers.rb:35: warning: Path

name#untaint is deprecated and will be removed in Ruby 3.2.

/usr/local/rvm/gems/ruby-3.1.1/gems/bundler-1.17.3/lib/bundler/shared_helpers.rb:35: warning: Path

name#untaint is deprecated and will be removed in Ruby 3.2.

/usr/local/rvm/gems/ruby-3.1.1/gems/bundler-1.17.3/lib/bundler/shared_helpers.rb:44: warning: Path

name#untaint is deprecated and will be removed in Ruby 3.2.

/usr/local/rvm/gems/ruby-3.1.1/gems/bundler-1.17.3/lib/bundler/shared_helpers.rb:118: warning: Pat

hname#untaint is deprecated and will be removed in Ruby 3.2.

** Invoke redmine:attachments:prune (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

LoadError: cannot load such file -- listen

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `block in require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:299:i

n `load_dependency'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/evented_file_update_c

hecker.rb:6:in `<top (required)>'

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `block in require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:299:i

n `load_dependency'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `require'

/opt/redmine-5.0.0/config/environments/development.rb:58:in `block in <top (required)>'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/railtie.rb:234:in `instance_eval'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/railtie.rb:234:in `configure'

/opt/redmine-5.0.0/config/environments/development.rb:5:in `<top (required)>'

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `block in require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:299:i

n `load_dependency'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/engine.rb:571:in `block (2 levels) 
in <class:Engine>'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/engine.rb:570:in `each'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/engine.rb:570:in `block in <class:E

ngine>'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/initializable.rb:32:in `instance_ex

ec'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/initializable.rb:32:in `run'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/initializable.rb:61:in `block in ru

n_initializers'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:228:in `block in tsort_each'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:350:in `block (2 levels) in each_strongly

_connected_component'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:422:in `block (2 levels) in each_strongly

_connected_component_from'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:431:in `each_strongly_connected_component

_from'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:421:in `block in each_strongly_connected_

component_from'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/initializable.rb:50:in `each'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/initializable.rb:50:in `tsort_each_

child'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:415:in `call'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:415:in `each_strongly_connected_component

_from'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:349:in `block in each_strongly_connected_

component'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:347:in `each'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:347:in `call'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:347:in `each_strongly_connected_component

'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:226:in `tsort_each'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/3.1.0/tsort.rb:205:in `tsort_each'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/initializable.rb:60:in `run_initial

izers'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/application.rb:391:in `initialize!'

/opt/redmine-5.0.0/config/environment.rb:16:in `<top (required)>'

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/zeitwerk-2.5.4/lib/zeitwerk/kernel.rb:35:in `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `block in require'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:299:i

n `load_dependency'

/usr/local/rvm/gems/ruby-3.1.1/gems/activesupport-6.1.4.7/lib/active_support/dependencies.rb:332:i

n `require'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/application.rb:367:in `require_envi

ronment!'

/usr/local/rvm/gems/ruby-3.1.1/gems/railties-6.1.4.7/lib/rails/application.rb:533:in `block in run

_tasks_blocks'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:281:in `blo

ck in execute'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:281:in `eac

h'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:281:in `exe

cute'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:219:in `blo

ck in invoke_with_call_chain'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `syn

chronize'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `inv

oke_with_call_chain'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:243:in `blo

ck in invoke_prerequisites'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:241:in `eac

h'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:241:in `inv

oke_prerequisites'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:218:in `blo
ck in invoke_with_call_chain'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `syn

chronize'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:199:in `inv

oke_with_call_chain'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/task.rb:188:in `inv

oke'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:160:

in `invoke_task'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:116:

in `block (2 levels) in top_level'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:116:

in `each'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:116:

in `block in top_level'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:125:

in `run_with_threads'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:110:

in `top_level'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:83:i

n `block in run'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:186:

in `standard_exception_handling'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/lib/rake/application.rb:80:i

n `run'

/usr/local/rvm/rubies/ruby-3.1.1/lib/ruby/gems/3.1.0/gems/rake-13.0.6/exe/rake:27:in `<top (requir

ed)>'

/usr/local/rvm/rubies/ruby-3.1.1/bin/rake:25:in `load'

/usr/local/rvm/rubies/ruby-3.1.1/bin/rake:25:in `<main>'

Tasks: TOP => redmine:attachments:prune => environment

 
# gem list

*** LOCAL GEMS ***

abbrev (default: 0.1.0)

actioncable (6.1.4.7)

actionmailbox (6.1.4.7)

actionmailer (6.1.4.7)

actionpack (6.1.4.7)

actionpack-xml_parser (2.0.1)

actiontext (6.1.4.7)

actionview (6.1.4.7)

activejob (6.1.4.7)

activemodel (6.1.4.7)

activerecord (6.1.4.7)

activestorage (6.1.4.7)

activesupport (6.1.4.7)

addressable (2.8.0)

ast (2.4.2)

base64 (default: 0.1.1)

benchmark (default: 0.2.0)

bigdecimal (default: 3.1.1)

builder (3.2.4)

bundle (0.0.1)

bundler (default: 2.3.7, 1.17.3)

bundler-unload (1.0.2)

capybara (3.36.0)

cgi (default: 0.3.1)

childprocess (3.0.0)

chunky_png (1.4.0)

commonmarker (0.23.1)

concurrent-ruby (1.1.10)

crass (1.0.6)

css_parser (1.11.0)

csv (default: 3.2.2)

date (default: 3.2.2)
debug (1.4.0)

deckar01-task_list (2.3.2)

delegate (default: 0.2.0)

did_you_mean (default: 1.6.1)

digest (default: 3.1.0)

docile (1.4.0)

drb (default: 2.1.0)

english (default: 0.7.1)

erb (default: 2.2.3)

error_highlight (default: 0.3.0)

erubi (1.10.0)

etc (default: 1.3.0)

executable-hooks (1.6.1)

fcntl (default: 1.0.1)

ffi (1.15.5)

fiddle (default: 1.1.0)

fileutils (default: 1.6.0)

find (default: 0.1.1)

forwardable (default: 1.3.2)

gem-wrappers (1.4.0)

getoptlong (default: 0.1.1)

globalid (1.0.0)

html-pipeline (2.13.2)

htmlentities (4.3.4)

i18n (1.10.0)

io-console (default: 0.5.11)

io-nonblock (default: 0.1.0)

io-wait (default: 0.2.1)

ipaddr (default: 1.2.4)

irb (default: 1.4.1)

json (default: 2.6.1)

listen (3.7.1)

logger (default: 1.5.0)

loofah (2.15.0)

mail (2.7.1)

marcel (1.0.2)

matrix (0.4.2)

method_source (1.0.0)

mini_magick (4.11.0)

mini_mime (1.1.2)

mini_portile2 (2.8.0)

minitest (5.15.0)

mocha (1.13.0)

mutex_m (default: 0.1.1)

net-ftp (0.1.3)

net-http (default: 0.2.0)

net-imap (0.2.3)

net-ldap (0.17.0)

net-pop (0.1.1)

net-protocol (default: 0.1.2)

net-smtp (0.3.1)

nio4r (2.5.8)

nkf (default: 0.1.1)

nokogiri (1.13.3 x86_64-linux)

observer (default: 0.1.1)

open-uri (default: 0.2.0)

open3 (default: 0.1.1)

openssl (default: 3.0.0)

optparse (default: 0.2.0)

ostruct (default: 0.5.2)

parallel (1.22.1)

parser (3.1.1.0)

passenger (6.0.13)

pathname (default: 0.2.0)

pg (1.2.3)

power_assert (2.0.1)

pp (default: 0.3.0)
prettyprint (default: 0.1.1)

prime (0.1.2)

pstore (default: 0.1.1)

psych (default: 4.0.3)

public_suffix (4.0.6)

puma (5.6.2)

racc (default: 1.6.0)

rack (2.2.3)

rack-test (1.1.0)

rails (6.1.4.7)

rails-dom-testing (2.0.3)

rails-html-sanitizer (1.4.2)

railties (6.1.4.7)

rainbow (3.1.1)

rake (13.0.6)

rb-fsevent (0.11.1)

rb-inotify (0.10.1)

rbpdf (1.20.1)

rbpdf-font (1.19.1)

rbs (2.1.0)

rdoc (default: 6.4.0)

readline (default: 0.0.3)

readline-ext (default: 0.1.4)

redcarpet (3.5.1)

regexp_parser (2.2.1)

reline (default: 0.3.0)

request_store (1.5.1)

resolv (default: 0.2.1)

resolv-replace (default: 0.1.0)

rexml (3.2.5)

rinda (default: 0.1.1)

roadie (5.0.0)

roadie-rails (3.0.0)

rotp (6.2.0)

rouge (3.28.0)

rqrcode (2.1.1)

rqrcode_core (1.2.0)

rss (0.2.9)

rubocop (1.26.1)

rubocop-ast (1.16.0)

rubocop-performance (1.13.3)

rubocop-rails (2.14.2)

ruby-progressbar (1.11.0)

ruby2_keywords (default: 0.0.5)

rubygems-bundler (1.4.5)

rubyzip (2.3.2)

rvm (1.11.3.9)

sanitize (6.0.0)

securerandom (default: 0.1.1)

selenium-webdriver (3.142.7)

set (default: 1.0.2)

shellwords (default: 0.1.0)

simplecov (0.21.2)

simplecov-html (0.12.3)

simplecov_json_formatter (0.1.4)

singleton (default: 0.1.1)

sprockets (4.0.3)

sprockets-rails (3.4.2)

stringio (default: 3.0.1)

strscan (default: 3.0.1)

syslog (default: 0.1.0)

tempfile (default: 0.1.2)

test-unit (3.5.3)

thor (1.2.1)

time (default: 0.2.0)

timeout (default: 0.2.0)

tmpdir (default: 0.1.2)
tsort (default: 0.1.0)

typeprof (0.21.2)

tzinfo (2.0.4)

un (default: 0.2.0)

unicode-display_width (2.1.0)

uri (default: 0.11.0)

weakref (default: 0.1.1)

webdrivers (4.6.1)

websocket-driver (0.7.5)

websocket-extensions (0.1.5)

xpath (3.2.0)

yaml (default: 0.2.0)

zeitwerk (2.5.4)

zlib (default: 2.1.1)

History

#1 - 2022-03-31 13:43 - Grischa Zengel

Environment:

  Redmine version                5.0.0.stable

  Ruby version                   3.1.1-p18 (2022-02-18) [x86_64-linux]

  Rails version                  6.1.4.7

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Zmt

SCM:

  Git                            2.20.1

  Filesystem                     

Redmine plugins:

  no plugin installed

#2 - 2022-03-31 13:48 - Grischa Zengel

- Status changed from New to Resolved

OK I found it.

It was my error:

RAILS_ENV=production rake redmine:attachments:prune --trace

#3 - 2022-04-01 01:23 - Go MAEDA

- Category changed from Gems support to Attachments

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for the feedback.
